<script>

    angular.module('ng-webcam', []).directive('ngWebcam', ngWebcam);
    ngWebcam.$inject = [];
    /**
     *  @ngdoc Directive
     *  @name ng-webcam
     *  @description
     *
     *  Directive for capturing images from your computer's camera, and delivery then to you as data uri
     *
     *  @usage
     *  ```html
     *  <ng-webcam
     *    config="vm.config"
     *    on-error="vm.onError(err)"
     *    on-load="vm.onLoad()"
     *    on-live="vm.onLive()"
     *    on-capture-progress="vm.onCaptureProgress(src, progress)"
     *    on-capture-complete="vm.onCaptureComplete(src)">
     *  </ng-webcam>
     *  ```
     */
    function ngWebcam() {
        var directive = {
            restrict: 'E',
            template: template,
            link: link,
            bindToController: true,
            controller: ngWebcamController,
            controllerAs: 'vm',
            scope: {
                config: '=',
                onCaptureComplete: '&',
                onError: '&',
                onLoad: '&',
                onCaptureProgress: '&',
                onLive: '&'
            }
        };

        function template(element, attrs) {
            return ['<div class="ng-webcam no-overlay" ng-class="{\'no-overlay\' : vm.counter === 0 || vm.config.countdown === 0}">',
                '<span ng-show="vm.webcamLive === true && vm.config.countdown > 0 && vm.counter > 0" id="ng-webcam-counter">{{vm.counter}}</span>',
                '<img ng-show="vm.webcamLive === true" id="ng-webcam-overlay" src="{{vm.config.overlay}}" />',
                '<div id="ng-webcam-container"></div>',
                '</div>'].join('');
        }

        function link(scope, element, attrs, ctrl) {
            ctrl.init();
            scope.$on('$destroy', function () {
                ctrl.destroy();
            });
        }

        ngWebcamController.$inject = ['$scope', '$interval'];

        function ngWebcamController($scope, $interval) {
            /*jshint validthis: true */
            var vm = this;
            var sound, snapshotTimer, countdownTimer;
            var images = [];
            vm.webcamLoaded = false;
            vm.webcamLive = false;
            vm.counter = 3;
            vm.init = init;
            vm.destroy = destroy;
            /**
             *  @ngdoc listener
             *  @name ngWebcam_capture
             *  @description
             *
             *  Listener for capture user action
             *
             *  @usage
             *  `$scope.$broadcast('ngWebcam_capture');`
             */
            $scope.$on('ngWebcam_capture', onWebcamCapture);
            $scope.$on('webcamstart', configure);
            /**
             *  @ngdoc listener
             *  @name ngWebcam_on
             *  @description
             *
             *  Listener for camera on user action
             *
             *  @usage
             *  `$scope.$broadcast('ngWebcam_on');`
             */
            $scope.$on('ngWebcam_on', onWebcamOn);
            /**
             *  @ngdoc listener
             *  @name ngWebcam_off
             *  @description
             *
             *  Listener for camera off user action
             *
             *  @usage
             *  `$scope.$broadcast('ngWebcam_off');`
             */
            $scope.$on('ngWebcam_off', onWebcamOff);

            function init() {
                vm.config = vm.config || {};
                if (window.localStorage) window.localStorage.setItem('visited', '1');
                if (angular.isUndefined(vm.config.viewerWidth)) vm.config.viewerWidth = 'auto';
                if (angular.isUndefined(vm.config.viewerHeight)) vm.config.viewerHeight = 'auto';
                if (angular.isUndefined(vm.config.outputWidth)) vm.config.outputWidth = 320;
                if (angular.isUndefined(vm.config.outputHeight)) vm.config.outputHeight = 240;
                if (angular.isUndefined(vm.config.delay)) vm.config.delay = 0;
                if (angular.isUndefined(vm.config.shots)) vm.config.shots = 1;
                if (angular.isUndefined(vm.config.countdown)) vm.config.countdown = 0;
                configureListeners();
            }

            function destroy() {
                if (vm.webcamLive) Webcam.reset();
                vm.webcamLive = false;
                vm.webcamLoaded = false;
                if (angular.isDefined(snapshotTimer)) {
                    $interval.cancel(snapshotTimer);
                    snapshotTimer = undefined;
                }
                if (angular.isDefined(countdownTimer)) {
                    $interval.cancel(countdownTimer);
                    countdownTimer = undefined;
                }
                vm.src = ''
                vm.counter = 3;

            }

            function configure() {

                if (angular.isDefined(vm.config.shutterUrl)) {
                    sound = new Audio();
                    sound.autoplay = false;
                    if (navigator.userAgent.match(/Firefox/)) {
                        sound.src = vm.config.shutterUrl.split('.')[0] + '.ogg';
                    } else {
                        sound.src = vm.config.shutterUrl;
                    }
                }
                Webcam.set({
                    width: vm.config.viewerWidth,
                    height: vm.config.viewerHeight,
                    dest_width: vm.config.outputWidth,
                    dest_height: vm.config.outputHeight,
                    force_flash: false,
                    image_format: 'jpeg',
                    jpeg_quality: 100,
                    flip_horiz: true
                });
                if (angular.isDefined(vm.config.flashNotDetectedText)) {
                    Webcam.set('flashNotDetectedText', vm.config.flashNotDetectedText);
                }
                if (angular.isDefined(vm.config.flashFallbackUrl)) {
                    Webcam.setSWFLocation(vm.config.flashFallbackUrl);
                }
                Webcam.attach('#ng-webcam-container');
            }

            function configureListeners() {
                Webcam.on('load', function () {
                    $scope.$apply(function () {
                        vm.webcamLoaded = true;
                        if (angular.isDefined(vm.onLoad)) {
                            vm.onLoad();
                        }
                    });
                });
                Webcam.on('live', function () {
                    $scope.$apply(function () {
                        vm.webcamLive = true;
                        if (angular.isDefined(vm.onLive)) {
                            vm.onLive();
                        }
                    });
                });
                Webcam.on('error', function (err) {
                    if (angular.isDefined(vm.onError)) {
                        vm.onError({err: err});
                    }
                });
            }

            function capture(index) {
//        if(sound) {
//          sound.play();
//        }
                if (index === (vm.config.shots - 1)) {
                    $interval.cancel(snapshotTimer);
                }
                Webcam.snap(function (data_uri) {
                    images[index] = data_uri;
                    if (index < (vm.config.shots - 1) && angular.isDefined(vm.onCaptureProgress)) {
                        var progress = Math.round(((index + 1) * 100) / vm.config.shots);
                        vm.onCaptureProgress({src: data_uri, progress: progress});
                    }
                    if (index === (vm.config.shots - 1) && angular.isDefined(vm.onCaptureComplete)) {
//          console.log("sending images");
//            webcamservice.setwebcameimages({src: images});

                        return vm.onCaptureComplete({src: images});
                    }
                });
            }

            function onWebcamCapture() {
                if (angular.isUndefined(vm.config.countdown)) {
                    var count = 0;
                    snapshotTimer = $interval(function () {
                        capture(count);
                        count++;
                    }, (vm.config.delay * 10), vm.config.shots);
                } else {
                    if (countdownTimer !== undefined) return;
                    vm.counter = 3;
                    countdownTimer = $interval(function () {
                        vm.counter = vm.counter - 1;
                        if (vm.counter === 0) {
                            if (countdownTimer) {
                                $interval.cancel(countdownTimer);
                            }
                            var count = 0;
                            snapshotTimer = $interval(function () {
                                capture(count);
                                count++;
                            }, (vm.config.delay * 10), vm.config.shots);
                        }
                    }, 10, 3);
                }
            }

            function onWebcamOn() {

                Webcam.attach('#ng-webcam-container');
            }

            function onWebcamOff() {
                destroy();
            }
        }

        return directive;
    }


</script>
<script>
    // WebcamJS v1.0.9 - http://github.com/jhuckaby/webcamjs - MIT Licensed
    (function (e) {
        var t;

        function a() {
            var e = Error.apply(this, arguments);
            e.name = this.name = "FlashError";
            this.stack = e.stack;
            this.message = e.message
        }

        function s() {
            var e = Error.apply(this, arguments);
            e.name = this.name = "WebcamError";
            this.stack = e.stack;
            this.message = e.message
        }

        IntermediateInheritor = function () {
        };
        IntermediateInheritor.prototype = Error.prototype;
        a.prototype = new IntermediateInheritor;
        s.prototype = new IntermediateInheritor;
        var Webcam = {
            version: "1.0.8",
            protocol: location.protocol.match(/https/i) ? "https" : "http",
            loaded: false,
            live: false,
            userMedia: true,
            params: {
                width: 0,
                height: 0,
                dest_width: 0,
                dest_height: 0,
                image_format: "jpeg",
                jpeg_quality: 90,
                force_flash: false,
                flip_horiz: false,
                fps: 30,
                upload_name: "webcam",
                constraints: null,
                swfURL: "",
                flashNotDetectedText: "ERROR: No Adobe Flash Player detected.  Webcam.js relies on Flash for browsers that do not support getUserMedia (like yours)."
            },
            errors: {FlashError: a, WebcamError: s},
            hooks: {},
            init: function () {
                var t = this;
                this.mediaDevices = navigator.mediaDevices && navigator.mediaDevices.getUserMedia ? navigator.mediaDevices : navigator.mozGetUserMedia || navigator.webkitGetUserMedia ? {
                    getUserMedia: function (e) {
                        return new Promise(function (t, a) {
                            (navigator.mozGetUserMedia || navigator.webkitGetUserMedia).call(navigator, e, t, a)
                        })
                    }
                } : null;
                e.URL = e.URL || e.webkitURL || e.mozURL || e.msURL;
                this.userMedia = this.userMedia && !!this.mediaDevices && !!e.URL;
                if (navigator.userAgent.match(/Firefox\D+(\d+)/)) {
                    if (parseInt(RegExp.$1, 10) < 21) this.userMedia = null
                }
                if (this.userMedia) {
                    e.addEventListener("beforeunload", function (e) {
                        t.reset()
                    })
                }
            },
            attach: function (a) {
                if (typeof a == "string") {
                    a = document.getElementById(a) || document.querySelector(a)
                }
                if (!a) {
                    return this.dispatch("error", new s("Could not locate DOM element to attach to."))
                }
                this.container = a;
                a.innerHTML = "";
                var i = document.createElement("div");
                a.appendChild(i);
                this.peg = i;
                if (!this.params.width) this.params.width = a.offsetWidth;
                if (!this.params.height) this.params.height = a.offsetHeight;
                if (!this.params.width || !this.params.height) {
                    return this.dispatch("error", new s("No width and/or height for webcam.  Please call set() first, or attach to a visible element."))
                }
                if (!this.params.dest_width) this.params.dest_width = this.params.width;
                if (!this.params.dest_height) this.params.dest_height = this.params.height;
                this.userMedia = t === undefined ? this.userMedia : t;
                if (this.params.force_flash) {
                    t = this.userMedia;
                    this.userMedia = null
                }
                if (typeof this.params.fps !== "number") this.params.fps = 30;
                var r = this.params.width / this.params.dest_width;
                var o = this.params.height / this.params.dest_height;
                if (this.userMedia) {
                    var h = document.createElement("video");
                    h.setAttribute("autoplay", "autoplay");
                    h.style.width = "" + this.params.dest_width + "px";
                    h.style.height = "" + this.params.dest_height + "px";
                    if (r != 1 || o != 1) {
                        a.style.overflow = "hidden";
                        h.style.webkitTransformOrigin = "0px 0px";
                        h.style.mozTransformOrigin = "0px 0px";
                        h.style.msTransformOrigin = "0px 0px";
                        h.style.oTransformOrigin = "0px 0px";
                        h.style.transformOrigin = "0px 0px";
                        h.style.webkitTransform = "scaleX(" + r + ") scaleY(" + o + ")";
                        h.style.mozTransform = "scaleX(" + r + ") scaleY(" + o + ")";
                        h.style.msTransform = "scaleX(" + r + ") scaleY(" + o + ")";
                        h.style.oTransform = "scaleX(" + r + ") scaleY(" + o + ")";
                        h.style.transform = "scaleX(" + r + ") scaleY(" + o + ")"
                    }
                    a.appendChild(h);
                    this.video = h;
                    var n = this;
                    this.mediaDevices.getUserMedia({
                        audio: false,
                        video: this.params.constraints || {
                            mandatory: {
                                minWidth: this.params.dest_width,
                                minHeight: this.params.dest_height
                            }
                        }
                    }).then(function (t) {
                        h.onloadedmetadata = function (e) {
                            n.stream = t;
                            n.loaded = true;
                            n.live = true;
                            n.dispatch("load");
                            n.dispatch("live");
                            n.flip()
                        };
                        h.src = e.URL.createObjectURL(t) || t
                    }).catch(function (e) {
                        return n.dispatch("error", e)
                    })
                } else {
                    e.Webcam = Webcam;
                    var l = document.createElement("div");
                    l.innerHTML = this.getSWFHTML();
                    a.appendChild(l)
                }
                if (this.params.crop_width && this.params.crop_height) {
                    var c = Math.floor(this.params.crop_width * r);
                    var m = Math.floor(this.params.crop_height * o);
                    a.style.width = "" + c + "px";
                    a.style.height = "" + m + "px";
                    a.style.overflow = "hidden";
                    a.scrollLeft = Math.floor(this.params.width / 2 - c / 2);
                    a.scrollTop = Math.floor(this.params.height / 2 - m / 2)
                } else {
                    a.style.width = "" + this.params.width + "px";
                    a.style.height = "" + this.params.height + "px"
                }
            },
            reset: function () {
                if (this.preview_active) this.unfreeze();
                this.unflip();
                if (this.userMedia) {
                    if (this.stream) {
                        if (this.stream.getVideoTracks) {
                            var e = this.stream.getVideoTracks();
                            if (e && e[0] && e[0].stop) e[0].stop()
                        } else if (this.stream.stop) {
                            this.stream.stop()
                        }
                    }
                    delete this.stream;
                    delete this.video
                }
                if (this.userMedia !== true) {
                    this.getMovie()._releaseCamera()
                }
                if (this.container) {
                    this.container.innerHTML = "";
                    delete this.container
                }
                this.loaded = false;
                this.live = false
            },
            set: function () {
                if (arguments.length == 1) {
                    for (var e in arguments[0]) {
                        this.params[e] = arguments[0][e]
                    }
                } else {
                    this.params[arguments[0]] = arguments[1]
                }
            },
            on: function (e, t) {
                e = e.replace(/^on/i, "").toLowerCase();
                if (!this.hooks[e]) this.hooks[e] = [];
                this.hooks[e].push(t)
            },
            off: function (e, t) {
                e = e.replace(/^on/i, "").toLowerCase();
                if (this.hooks[e]) {
                    if (t) {
                        var a = this.hooks[e].indexOf(t);
                        if (a > -1) this.hooks[e].splice(a, 1)
                    } else {
                        this.hooks[e] = []
                    }
                }
            },
            dispatch: function () {
                var t = arguments[0].replace(/^on/i, "").toLowerCase();
                var i = Array.prototype.slice.call(arguments, 1);
                if (this.hooks[t] && this.hooks[t].length) {
                    for (var r = 0, o = this.hooks[t].length; r < o; r++) {
                        var h = this.hooks[t][r];
                        if (typeof h == "function") {
                            h.apply(this, i)
                        } else if (typeof h == "object" && h.length == 2) {
                            h[0][h[1]].apply(h[0], i)
                        } else if (e[h]) {
                            e[h].apply(e, i)
                        }
                    }
                    return true
                } else if (t == "error") {
                    if (i[0] instanceof a || i[0] instanceof s) {
                        message = i[0].message
                    } else {
                        message = "Could not access webcam: " + i[0].name + ": " + i[0].message + " " + i[0].toString()
                    }
                    alert("Webcam.js Error: " + message)
                }
                return false
            },
            setSWFLocation: function (e) {
                this.set("swfURL", e)
            },
            detectFlash: function () {
                var t = "Shockwave Flash", a = "ShockwaveFlash.ShockwaveFlash", s = "application/x-shockwave-flash",
                    i = e, r = navigator, o = false;
                if (typeof r.plugins !== "undefined" && typeof r.plugins[t] === "object") {
                    var h = r.plugins[t].description;
                    if (h && (typeof r.mimeTypes !== "undefined" && r.mimeTypes[s] && r.mimeTypes[s].enabledPlugin)) {
                        o = true
                    }
                } else if (typeof i.ActiveXObject !== "undefined") {
                    try {
                        var n = new ActiveXObject(a);
                        if (n) {
                            var l = n.GetVariable("$version");
                            if (l) o = true
                        }
                    } catch (c) {
                    }
                }
                return o
            },
            getSWFHTML: function () {
                var t = "", s = this.params.swfURL;
                if (location.protocol.match(/file/)) {
                    this.dispatch("error", new a("Flash does not work from local disk.  Please run from a web server."));
                    return '<h3 style="color:red">ERROR: the Webcam.js Flash fallback does not work from local disk.  Please run it from a web server.</h3>'
                }
                if (!this.detectFlash()) {
                    this.dispatch("error", new a("Adobe Flash Player not found.  Please install from get.adobe.com/flashplayer and try again."));
                    return '<h3 style="color:red">' + this.params.flashNotDetectedText + "</h3>"
                }
                if (!s) {
                    var i = "";
                    var r = document.getElementsByTagName("script");
                    for (var o = 0, h = r.length; o < h; o++) {
                        var n = r[o].getAttribute("src");
                        if (n && n.match(/\/webcam(\.min)?\.js/)) {
                            i = n.replace(/\/webcam(\.min)?\.js.*$/, "");
                            o = h
                        }
                    }
                    if (i) s = i + "/webcam.swf"; else s = "webcam.swf"
                }
                if (e.localStorage && !localStorage.getItem("visited")) {
                    this.params.new_user = 1;
                    localStorage.setItem("visited", 1)
                }
                var l = "";
                for (var c in this.params) {
                    if (l) l += "&";
                    l += c + "=" + escape(this.params[c])
                }
                t += '<object classid="clsid:d27cdb6e-ae6d-11cf-96b8-444553540000" type="application/x-shockwave-flash" codebase="' + this.protocol + '://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=9,0,0,0" width="' + this.params.width + '" height="' + this.params.height + '" id="webcam_movie_obj" align="middle"><param name="wmode" value="opaque" /><param name="allowScriptAccess" value="always" /><param name="allowFullScreen" value="false" /><param name="movie" value="' + s + '" /><param name="loop" value="false" /><param name="menu" value="false" /><param name="quality" value="best" /><param name="bgcolor" value="#ffffff" /><param name="flashvars" value="' + l + '"/><embed id="webcam_movie_embed" src="' + s + '" wmode="opaque" loop="false" menu="false" quality="best" bgcolor="#ffffff" width="' + this.params.width + '" height="' + this.params.height + '" name="webcam_movie_embed" align="middle" allowScriptAccess="always" allowFullScreen="false" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer" flashvars="' + l + '"></embed></object>';
                return t
            },
            getMovie: function () {
                if (!this.loaded)return this.dispatch("error", new a("Flash Movie is not loaded yet"));
                var e = document.getElementById("webcam_movie_obj");
                if (!e || !e._snap) e = document.getElementById("webcam_movie_embed");
                if (!e) this.dispatch("error", new a("Cannot locate Flash movie in DOM"));
                return e
            },
            freeze: function () {
                var e = this;
                var t = this.params;
                if (this.preview_active) this.unfreeze();
                var a = this.params.width / this.params.dest_width;
                var s = this.params.height / this.params.dest_height;
                this.unflip();
                var i = t.crop_width || t.dest_width;
                var r = t.crop_height || t.dest_height;
                var o = document.createElement("canvas");
                o.width = i;
                o.height = r;
                var h = o.getContext("2d");
                this.preview_canvas = o;
                this.preview_context = h;
                if (a != 1 || s != 1) {
                    o.style.webkitTransformOrigin = "0px 0px";
                    o.style.mozTransformOrigin = "0px 0px";
                    o.style.msTransformOrigin = "0px 0px";
                    o.style.oTransformOrigin = "0px 0px";
                    o.style.transformOrigin = "0px 0px";
                    o.style.webkitTransform = "scaleX(" + a + ") scaleY(" + s + ")";
                    o.style.mozTransform = "scaleX(" + a + ") scaleY(" + s + ")";
                    o.style.msTransform = "scaleX(" + a + ") scaleY(" + s + ")";
                    o.style.oTransform = "scaleX(" + a + ") scaleY(" + s + ")";
                    o.style.transform = "scaleX(" + a + ") scaleY(" + s + ")"
                }
                this.snap(function () {
                    o.style.position = "relative";
                    o.style.left = "" + e.container.scrollLeft + "px";
                    o.style.top = "" + e.container.scrollTop + "px";
                    e.container.insertBefore(o, e.peg);
                    e.container.style.overflow = "hidden";
                    e.preview_active = true
                }, o)
            },
            unfreeze: function () {
                if (this.preview_active) {
                    this.container.removeChild(this.preview_canvas);
                    delete this.preview_context;
                    delete this.preview_canvas;
                    this.preview_active = false;
                    this.flip()
                }
            },
            flip: function () {
                if (this.params.flip_horiz) {
                    var e = this.container.style;
                    e.webkitTransform = "scaleX(-1)";
                    e.mozTransform = "scaleX(-1)";
                    e.msTransform = "scaleX(-1)";
                    e.oTransform = "scaleX(-1)";
                    e.transform = "scaleX(-1)";
                    e.filter = "FlipH";
                    e.msFilter = "FlipH"
                }
            },
            unflip: function () {
                if (this.params.flip_horiz) {
                    var e = this.container.style;
                    e.webkitTransform = "scaleX(1)";
                    e.mozTransform = "scaleX(1)";
                    e.msTransform = "scaleX(1)";
                    e.oTransform = "scaleX(1)";
                    e.transform = "scaleX(1)";
                    e.filter = "";
                    e.msFilter = ""
                }
            },
            savePreview: function (e, t) {
                var a = this.params;
                var s = this.preview_canvas;
                var i = this.preview_context;
                if (t) {
                    var r = t.getContext("2d");
                    r.drawImage(s, 0, 0)
                }
                e(t ? null : s.toDataURL("image/" + a.image_format, a.jpeg_quality / 100), s, i);
                this.unfreeze()
            },
            snap: function (e, t) {
                var a = this;
                var i = this.params;
                if (!this.loaded)return this.dispatch("error", new s("Webcam is not loaded yet"));
                if (!e)return this.dispatch("error", new s("Please provide a callback function or canvas to snap()"));
                if (this.preview_active) {
                    this.savePreview(e, t);
                    return null
                }
                var r = document.createElement("canvas");
                r.width = this.params.dest_width;
                r.height = this.params.dest_height;
                var o = r.getContext("2d");
                if (this.params.flip_horiz) {
                    o.translate(i.dest_width, 0);
                    o.scale(-1, 1)
                }
                var h = function () {
                    if (this.src && this.width && this.height) {
                        o.drawImage(this, 0, 0, i.dest_width, i.dest_height)
                    }
                    if (i.crop_width && i.crop_height) {
                        var a = document.createElement("canvas");
                        a.width = i.crop_width;
                        a.height = i.crop_height;
                        var s = a.getContext("2d");
                        s.drawImage(r, Math.floor(i.dest_width / 2 - i.crop_width / 2), Math.floor(i.dest_height / 2 - i.crop_height / 2), i.crop_width, i.crop_height, 0, 0, i.crop_width, i.crop_height);
                        o = s;
                        r = a
                    }
                    if (t) {
                        var h = t.getContext("2d");
                        h.drawImage(r, 0, 0)
                    }
                    e(t ? null : r.toDataURL("image/" + i.image_format, i.jpeg_quality / 100), r, o)
                };
                if (this.userMedia) {
                    o.drawImage(this.video, 0, 0, this.params.dest_width, this.params.dest_height);
                    h()
                } else {
                    var n = this.getMovie()._snap();
                    var l = new Image;
                    l.onload = h;
                    l.src = n
                }
                return null
            },
            configure: function (e) {
                if (!e) e = "camera";
                this.getMovie()._configure(e)
            },
            flashNotify: function (e, t) {
                switch (e) {
                    case"flashLoadComplete":
                        this.loaded = true;
                        this.dispatch("load");
                        break;
                    case"cameraLive":
                        this.live = true;
                        this.dispatch("live");
                        break;
                    case"error":
                        this.dispatch("error", new a(t));
                        break;
                    default:
                        break
                }
            },
            b64ToUint6: function (e) {
                return e > 64 && e < 91 ? e - 65 : e > 96 && e < 123 ? e - 71 : e > 47 && e < 58 ? e + 4 : e === 43 ? 62 : e === 47 ? 63 : 0
            },
            base64DecToArr: function (e, t) {
                var a = e.replace(/[^A-Za-z0-9\+\/]/g, ""), s = a.length,
                    i = t ? Math.ceil((s * 3 + 1 >> 2) / t) * t : s * 3 + 1 >> 2, r = new Uint8Array(i);
                for (var o, h, n = 0, l = 0, c = 0; c < s; c++) {
                    h = c & 3;
                    n |= this.b64ToUint6(a.charCodeAt(c)) << 18 - 6 * h;
                    if (h === 3 || s - c === 1) {
                        for (o = 0; o < 3 && l < i; o++, l++) {
                            r[l] = n >>> (16 >>> o & 24) & 255
                        }
                        n = 0
                    }
                }
                return r
            },
            upload: function (e, t, a) {
                var s = this.params.upload_name || "webcam";
                var i = "";
                var o = new XMLHttpRequest;
                o.open("POST", t, true);
                if (o.upload && o.upload.addEventListener) {
                    o.upload.addEventListener("progress", function (e) {
                        if (e.lengthComputable) {
                            var t = e.loaded / e.total;
                            Webcam.dispatch("uploadProgress", t, e)
                        }
                    }, false)
                }
                var h = this;
                o.onload = function () {
                    if (a) a.apply(h, [o.status, o.responseText, o.statusText]);
                    Webcam.dispatch("uploadComplete", o.status, o.responseText, o.statusText)
                };
                var n = new Blob([this.base64DecToArr(r)], {type: "image/" + i});
                var l = new FormData;
                l.append(s, n, s + "." + i.replace(/e/, ""));
                o.send(l)
            }
        };
        Webcam.init();
        if (typeof define === "function" && define.amd) {
            define(function () {
                return Webcam
            })
        } else if (typeof module === "object" && module.exports) {
            module.exports = Webcam
        } else {
            e.Webcam = Webcam
        }
    })(window);

</script>
<div ng-include="'../templates/sideNavBar.html'"></div>
<div class="login">

    <div class="container">
        <div class="row">
            <div class="col-sm">
                <div class="tab">
                    <div class="tab-content webcamdesing">
                        <div class="jumbotron text-center">
                            <br/><br/>
                            <button class="btn btn-primary" data-ng-click="cameraOnCondition()">Start Camera</button>
                            <div ui-view="webcam"></div>
                            <main class="app container">
                                <div class="row">
                                    <div class="col-md-12" style="text-align: center">
                                        <ng-webcam config="config"
                                                   on-error="onError(err)"
                                                   on-load="onLoad()"
                                                   on-live="onLive()"
                                                   on-capture-progress="onCaptureProgress(src, progress)"
                                                   on-capture-complete="onCaptureComplete(src)">
                                        </ng-webcam>
                                    </div>
                                    <div class="col-md-12">
                                        <p id="progress">Progress:{{progress}}%</p>
                                    </div>
                                    <div id="result" class="row">
                                    </div>
                                    <div class="col-md-12" ng-if="showButtons">
                                        <button class="btn btn-primary" ng-disabled="!captureButtonEnable"
                                                ng-click="capture()">Capture
                                        </button>
                                        <button class="btn btn-primary" ng-click="off()">Camera off</button>
                                    </div>
                                </div>
                            </main>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-sm">
                <div class="row">
                    <div class="col-sm-6 col-md-6" style="padding-right: 38px;">
                        <div class="form-group row">
                            <label class="col-2 col-form-label">EMPLOYEE NAME*</label>
                            <div class="col-10">
                                <input type="text" class="form-control" ng-model="employeeDetails.name"
                                       placeholder="Employee Name" required="required"/>

                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label">EMPLOYEE ADDRESS</label>
                            <div class="col-10">
                                <input type="text" class="form-control" ng-model="employeeDetails.address"
                                       placeholder="Employee Address" required="required"/>

                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label">EMPLOYEE CITY</label>
                            <div class="col-10">
                                <input type="text" class="form-control" ng-model="employeeDetails.city"
                                       placeholder="city" required="required"/>

                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label">POSTAL CODE</label>
                            <div class="col-10">
                                <input type="number" class="form-control" ng-model="employeeDetails.postalCode"
                                       placeholder="postalCode" required="required"/>

                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label">MOBILE NUMBER</label>
                            <div class="col-10">
                                <input type="number" class="form-control" ng-model="employeeDetails.mobileNumber"
                                       placeholder="mobileNumber" required="required"/>

                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label">ANNUAL ADVANCE</label>
                            <div class="col-10">
                                <input type="number" class="form-control" ng-model="employeeDetails.annualAdvance"
                                       placeholder="AnnualAdvance" required="required"/>

                            </div>
                        </div>
                    </div>
                    <div class="col-sm-6 col-md-6">

                        <div class="form-group row">
                            <label class="col-2 col-form-label">ALTERNATE MOBILE NUMBER</label>
                            <div class="col-10">
                                <input type="number" class="form-control" ng-model="employeeDetails.alternateNumber"
                                       placeholder="alternateNumber" required="required"/>

                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label">MONTHLY SALARY*</label>
                            <div class="col-10">
                                <input type="number" class="form-control" ng-model="employeeDetails.monthlySalary"
                                       placeholder="monthlySalary" required="required"/>

                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label">DATE OF JOINING</label>
                            <div class="input-group" ng-controller="dateandtimepicCtrl as ctrl">
                                <input type="text" class="form-control" placeholder="dateOfJoining" datetime-picker
                                       ng-model="employeeDetails.dateOfJoining" is-open="ctrl.picker6.open"
                                       ng-change="dateAndTime(ctrl.picker6.date);changingDateValue(ctrl.picker6.date)"
                                       ng-init="ctrl.picker6.date"/>
                                <span class="input-group-btn">
                    <button type="button" class="btn btn-default" style="margin-top:0px;"
                            ng-click="ctrl.openCalendar($event, 'picker6')"><span
                            class="glyphicon glyphicon-calendar"></span>
                    </button>
                </span>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label">DATE OF BIRTH</label>
                            <div class="input-group" ng-controller="dateandtimepicCtrl as ctrl">
                                <input type="text" class="form-control" placeholder="dateOfBirth" datetime-picker
                                       ng-model="employeeDetails.dateOfbirth" is-open="ctrl.picker6.open"
                                       ng-change="dateAndTime(ctrl.picker6.date);changingDateValue(ctrl.picker6.date)"
                                       ng-init="ctrl.picker6.date"/>
                                <span class="input-group-btn">
                    <button type="button" class="btn btn-default" style="margin-top:0px;"
                            ng-click="ctrl.openCalendar($event, 'picker6')"><span
                            class="glyphicon glyphicon-calendar"></span>
                    </button>
                </span>
                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label">EMPLOYEE ID</label>
                            <div class="col-10">
                                <input type="text" class="form-control" ng-model="employeeDetails.employeeId"
                                       placeholder="Employee Name" required="required"/>

                            </div>
                        </div>
                        <div class="form-group row">
                            <label class="col-2 col-form-label">DATE OF ANNUAL ADVANCE</label>
                            <div class="input-group" ng-controller="dateandtimepicCtrl as ctrl">
                                <input type="text" class="form-control" placeholder="dateofannualadvance" datetime-picker
                                       ng-model="employeeDetails.dateOfAnnual" is-open="ctrl.picker6.open"
                                       ng-change="dateAndTime(ctrl.picker6.date);changingDateValue(ctrl.picker6.date)"
                                       ng-init="ctrl.picker6.date"/>
                                <span class="input-group-btn">
                    <button type="button" class="btn btn-default" style="margin-top:0px;"
                            ng-click="ctrl.openCalendar($event, 'picker6')"><span
                            class="glyphicon glyphicon-calendar"></span>
                    </button>
                </span>
                            </div>
                        </div>
                    </div>
                </div>


                <div>
                    <button type="submit" ng-click="saveEmployeeDetails()" class="btn btn-primary btn-block btn-large">
                        Submit
                    </button>
                </div>
            </div>
        </div>
    </div>


</div>

<div ng-include="'../templates/footer.html'"></div>

